JITInvoker3 (Jython API documentation)
Date: 2020-03-21

org.python.modules.jffi

## Class JITInvoker3

- java.lang.Object
- - org.python.modules.jffi.Invoker
  - - org.python.modules.jffi.JITInvoker
    - - org.python.modules.jffi.JITInvoker3

-     public abstract class JITInvoker3
      extends JITInvoker

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JITInvoker3(com.kenai.jffi.Function function, Invoker fallbackInvoker)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PyObject` | `invoke()`
    `PyObject` | `invoke(PyObject arg1)`
    `PyObject` | `invoke(PyObject arg1, PyObject arg2)`
    `PyObject` | `invoke(PyObject arg1, PyObject arg2, PyObject arg3, PyObject arg4)`
    `PyObject` | `invoke(PyObject arg1, PyObject arg2, PyObject arg3, PyObject arg4, PyObject arg5)`
    `PyObject` | `invoke(PyObject arg1, PyObject arg2, PyObject arg3, PyObject arg4, PyObject arg5, PyObject arg6)`

    - ### Methods inherited from class org.python.modules.jffi.JITInvoker

      `checkArity, invoke`

    - ### Methods inherited from class org.python.modules.jffi.Invoker

      `invoke`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JITInvoker3

          public JITInvoker3(com.kenai.jffi.Function function,
                             Invoker fallbackInvoker)

  - ### Method Detail

    - #### invoke

          public final PyObject invoke()

      Specified by:
        `invoke` in class `Invoker`

    - #### invoke

          public final PyObject invoke(PyObject arg1)

      Specified by:
        `invoke` in class `Invoker`

    - #### invoke

          public final PyObject invoke(PyObject arg1,
                                       PyObject arg2)

      Specified by:
        `invoke` in class `Invoker`

    - #### invoke

          public final PyObject invoke(PyObject arg1,
                                       PyObject arg2,
                                       PyObject arg3,
                                       PyObject arg4)

      Specified by:
        `invoke` in class `Invoker`

    - #### invoke

          public final PyObject invoke(PyObject arg1,
                                       PyObject arg2,
                                       PyObject arg3,
                                       PyObject arg4,
                                       PyObject arg5)

      Specified by:
        `invoke` in class `Invoker`

    - #### invoke

          public final PyObject invoke(PyObject arg1,
                                       PyObject arg2,
                                       PyObject arg3,
                                       PyObject arg4,
                                       PyObject arg5,
                                       PyObject arg6)

      Specified by:
        `invoke` in class `Invoker`

Jython homepage